Skip to main content

STU3 EpisodeOfCare

The EpisodeOfCare resource describes an "association between a patient and an organization / healthcare provider(s) during which time encounters may occur. The managing organization assumes a level of responsibility for the patient during this time." HL7 FHIR STU3 EpisodeOfCare

Supported Profiles

This API supports the following FHIR profiles:

Operations

The General Purpose STU3 API EpisodeOfCare resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.

CareRecord / SolutionCreateReadUpdateSearch
GEHRIMED-Yes-Yes
myAvatar-Yes-Yes
myEvolv-Yes-Yes
myUnity-Yes-Yes
info

Not all Netsmart solutions support EpisodeOfCare search. See supported operations table above and consult your target solution's documentation for more information.

This operation retrieves a list of resources by these query parameters.

Standard Parameters

NameTypeDescription
patientreferenceREQUIRED The patient who is the focus of this episode of care

Custom Parameters

NameTypeDescription
enddateEpisode start date/time
startdateEpisode end date/time

Search Examples

Via POST

The POST method is recommended as it keeps health information out of the URL.

Search by Patient
curl -X POST https://fhir.netsmartcloud.com/fhir/EpisodeOfCare/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/901"
Via GET
Search by Patient
curl -X GET "https://fhir.netsmartcloud.com/fhir/EpisodeOfCare?patient=Patient/901" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"